Loading...
Searching...
No Matches
pcl::visualization::PointCloudColorHandlerCustom< PointT > Class Template Reference
Module visualization

Handler for predefined user colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerCustom< PointT >:

## Public Types

using | Ptr = shared_ptr<PointCloudColorHandlerCustom<PointT> >
using | ConstPtr = shared_ptr<const PointCloudColorHandlerCustom<PointT> >
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
using | PointCloud = pcl::PointCloud<PointT>
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr<PointCloudColorHandler<PointT> >
using | ConstPtr = shared_ptr<const PointCloudColorHandler<PointT> >

## Public Member Functions

| PointCloudColorHandlerCustom (double r, double g, double b)
| Constructor.
| PointCloudColorHandlerCustom (const PointCloudConstPtr &cloud, double r, double g, double b)
| Constructor.
virtual std::string | getName () const
| Abstract getName method.
virtual std::string | getFieldName () const
| Get the name of the field used.
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array.
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor.
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudColorHandler ()=default
| Destructor.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Protected Attributes

double | r_
| Internal R, G, B holding the values given by the user.
double | g_
double | b_
Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
int | field_idx_
| The index of the field holding the data that represents the color.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

template<typename PointT>
class pcl::visualization::PointCloudColorHandlerCustom< PointT >

Handler for predefined user colors.

The color at each point will be drawn as the use given R, G, B values.

Author
  Radu B. Rusu

Definition at line 186 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerCustom< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandlerCustom<PointT> >

Definition at line 194 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerCustom< PointT >::Ptr = shared_ptr<PointCloudColorHandlerCustom<PointT> >

Definition at line 193 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerCustom() [1/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom | ( | double | r,
|  | double | g,
|  | double | b )

inline

Constructor.

Definition at line 197 of file point_cloud_color_handlers.h.

References b_, pcl::visualization::PointCloudColorHandler< PointT >::capable_, g_, pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler(), and r_.

## PointCloudColorHandlerCustom() [2/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom | ( | const PointCloudConstPtr & | cloud,
|  | double | r,
|  | double | g,
|  | double | b )

inline

Constructor.

Definition at line 207 of file point_cloud_color_handlers.h.

References b_, pcl::visualization::PointCloudColorHandler< PointT >::capable_, g_, pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler(), and r_.

## Member Function Documentation

## getColor()

template<typename PointT>

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerCustom< PointT >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 56 of file point_cloud_color_handlers.hpp.

References b_, pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::cloud_, g_, and r_.

## getFieldName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 223 of file point_cloud_color_handlers.h.

## getName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< PointT >::getName | ( |  | ) | const

inline virtual

Abstract getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 219 of file point_cloud_color_handlers.h.

## Member Data Documentation

## b_

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::b_

protected

Definition at line 234 of file point_cloud_color_handlers.h.

Referenced by getColor(), PointCloudColorHandlerCustom(), and PointCloudColorHandlerCustom().

## g_

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::g_

protected

Definition at line 234 of file point_cloud_color_handlers.h.

Referenced by getColor(), PointCloudColorHandlerCustom(), and PointCloudColorHandlerCustom().

## r_

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::r_

protected

Internal R, G, B holding the values given by the user.

Definition at line 234 of file point_cloud_color_handlers.h.

Referenced by getColor(), PointCloudColorHandlerCustom(), and PointCloudColorHandlerCustom().

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_color_handlers.h
- pcl/visualization/impl/point_cloud_color_handlers.hpp